Bug 439647 - Firefox suggests an online service for ical/webcal links instead of evolution
Firefox suggests an online service for ical/webcal links instead of evolution
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-29 20:25 EDT by vfiend
Modified: 2008-04-03 20:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 18:49:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 389776 None None None Never
Mozilla Foundation 426358 None None None Never

  None (edit)
Description vfiend 2008-03-29 20:25:07 EDT
When clicking a webcal url into firefox3, it suggests using an online service
even though evolution and its evolution-webcal handler are in the default
install. Since it's associated in /desktop/gnome/url-handlers/webcal, Epiphany
is the only browser that will use it (Shouldn't Firefox ideally know how to read
/desktop/gnome/url-handlers for this?)

Enter an url like webcal:/test into the url bar to see the problem.
Comment 1 Matěj Cepl 2008-04-02 18:49:51 EDT
We found that this bug has been already registered in the upstream database
(https://bugzilla.mozilla.org/show_bug.cgi?id=426358) and believe that it is
more appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Thank you for the bug report.
Comment 2 Tom (moz-triager) 2008-04-03 01:50:19 EDT
A better upstream bug is this one:
<https://bugzilla.mozilla.org/show_bug.cgi?id=389766>

It deals directly with webcal links.
Comment 3 vfiend 2008-04-03 02:11:36 EDT
Well, it says resolved fixed but the current ff3 packages in rawhide still have
this problem
Comment 4 Tom (moz-triager) 2008-04-03 02:25:23 EDT
If you'd like to continue discussion of the bug upstream, you're welcome to, but
you must test with a recent official nightly, not a rawhide version.
Comment 5 Matěj Cepl 2008-04-03 02:37:03 EDT
(In reply to comment #4)
> If you'd like to continue discussion of the bug upstream, you're welcome to,
> but you must test with a recent official nightly, not a rawhide version.

Are you sure about that? We are following upstream closely in Rawhide I thought
(that's FF3b5 just now).
Comment 6 vfiend 2008-04-03 02:46:27 EDT
Um, really? I'm about to test the FF3b5 in Rawhide with it in a little bit but I
feel like I'm getting the run around here.

I filed a Rawhide bug and was pointed to upstream and when I pointed out
upstream had it marked as fixed and it was a problem in the last rawhide version
I tried I'm told to get an upstream version and test with that? It's all rather
confusing.
Comment 7 vfiend 2008-04-03 04:16:13 EDT
I just updated to the ff3b5 in rawhide, nuked my ~/.mozilla, and entered
webcal://test and itms://test in the ff3b5 urlbar. Same problem here.

I also tried the tarball of ff3b5 provided upstream and it didn't work either.
I'm not sure if their lowest common denominator download is built with all the
gnome support stuff though.


That said, everyone else is claiming this works for them, so if you have ff3b5
and entering "webcal://test" really recommends Evolution instead of some web
service, feel free to ignore this.
Comment 8 Tom (moz-triager) 2008-04-03 20:22:23 EDT
(In reply to comment #6)
> Um, really? I'm about to test the FF3b5 in Rawhide with it in a little bit but I
> feel like I'm getting the run around here.
> 
> I filed a Rawhide bug and was pointed to upstream and when I pointed out
> upstream had it marked as fixed and it was a problem in the last rawhide version
> I tried I'm told to get an upstream version and test with that? It's all rather
> confusing.

I based my suggestion on testing the non-rawhide version on bug 439646 comment
3, where the itms protocol works on Fx3b5.  If this really is a upstream bug, it
would fail the same on both the rawhide version and the upstream version, and
the upstream bug could be appended with the new information about how the fix
did not work for you.

This would be the best bug to append to:
<https://bugzilla.mozilla.org/show_bug.cgi?id=389766>

>On Ubuntu 7.04, the webcal links no longer load into evolution by default. 
>Previously, they would launch the "unknown protocol" window, but would offer to
>launch Evolution for you to handle the link.  With this build, a "Choose
>Application" window pops up, and nothing you tell it will cause Evolution to
>work.

To me, that sounds like the same bug.

Note You need to log in before you can comment on or make changes to this bug.